<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class EmployeeSalary extends Model
{
    // Mengizinkan mass-assignment untuk semua kolom
    protected $guarded = [];

    /**
     * Relasi balik ke Master Karyawan
     */
    public function employee() 
    {
        return $this->belongsTo(Employee::class);
    }
}